<?php
require "autoloader.php";
require __DIR__ . "/../vendor/autoload.php";
require __DIR__ . "/../vendor/zeedhi/framework/bootstrap.php";
require __DIR__ . "/../vendor/teknisa/libraries-next/scripts/bootstrap.php";
require __DIR__ . "/../vendor/zeedhi/dataexporter/bootstrap.php";

$instanceManager = \Zeedhi\Framework\DependencyInjection\InstanceManager::getInstance();

$routes[] = __DIR__ . '/../vendor/teknisa/libraries-next/libRoutes.json';
$routes[] = __DIR__ . '/../routes.json';
$routes[] = __DIR__ . '/../vendor/zeedhi/dataexporter/routes.json';

$instanceManager->loadFromFile('../vendor/zeedhi/dataexporter/services.xml');
$instanceManager->loadFromFile('../config/db.xml');
$instanceManager->loadFromFile('../config/general.xml');
$instanceManager->loadFromFile('../config/parameters.xml');
$instanceManager->loadFromFile('../config/environment.xml');

$container = $instanceManager->getContainer();

$instanceManager->loadFromFile('../services.xml');
$instanceManager->registerService('routeParser', new \Zeedhi\Framework\Routing\Parsers\JSONFormat($routes));
$instanceManager->compile();


$entity_manager = $instanceManager->getService('entityManager');
