<?php
namespace Controller;

use Service\CollectorLog as CollectorLogService;

use Zeedhi\Framework\Controller\Simple;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DTO;
use Service\DeleteCascadeService;
use Zeedhi\Framework\DataSource\Manager;
use Util\Utilities;
use Service\Traits\TResponse;

class CollectorLog extends Simple {

    use TResponse;
    protected $collectorLog;

    public function __construct(CollectorLogService $collectorLog) {
        $this->collectorLog = $collectorLog;
    }

    public function getLogList(DTO\Request $request, DTO\Response $response) {
        $params = $request->getParameters();
        $logList = $this->collectorLog->getLogList();
        //$response->addDataSet(new DataSet('log', $logList));
        $collectorLog = Utilities::parseDataSourceZeedhiNext($logList);
        $this->sendResponse(Utilities::paginationAndOrderINPhpNext($collectorLog, $params), 200);
    }

    public function getLogContent(DTO\Request $request, DTO\Response $response) {
        $params = $request->getParameters();
        $logFileName = $params['nameForm'];
        $logFile = $this->collectorLog->getLogContent($logFileName);
        $this->sendResponse(Utilities::parseDataSourceZeedhiNext(array($logFile)), 200);
    }
}   