<?php


namespace Service\ChartView;

use Zeedhi\Framework\DependencyInjection\InstanceManager;
abstract class ChartViewAbstract
{
    const DATASOURCE_ID_KEY = "_id";
    
	public function fetchWidgetData(){
        $widget = $this->widget;
        $parameters = $widget['parameters'];

        $postGroupConditions = !empty($widget["postGroupConditions"]) ? $widget["postGroupConditions"] : [];
        $fullAccessProfiles = !empty($parameters['fullAccessProfiles']) ? $parameters['fullAccessProfiles'] : [];
        if(!empty($parameters["dimensions"])){
            $dimensions = $parameters["dimensions"];
        } else {
            $dimensions = !empty($parameters['dimensionName']) ? $parameters['dimensionName'] : "";
        }
        $limitRows = null;
        /** @var \Service\WidgetData $widgetDataService */
        $widgetDataService = InstanceManager::getInstance()->getService('\Service\WidgetData');
        $this->widgetData = $widgetDataService->fetchWidgetData(
                $widget['_id'], $parameters['structureId'], null, $parameters['period'],
				$parameters['facts'],
                $dimensions,
                array(),
				null,$limitRows,$parameters['drillDownFilters'], false, [],[], $postGroupConditions,
                null,$widget,
                null, null,
                null, null,
                false, $fullAccessProfiles);
    }

    public function dataSourceAddIndex($dataSource){
        $newDataSource = [];
        foreach($dataSource as $index=>$data){
            $data[self::DATASOURCE_ID_KEY] = $index;
            array_push($newDataSource, $data);
        }
        return $newDataSource;
    }
}