<?php
namespace Service;

use Util\Environment;
use Util\Utilities;

class CollectorLog {

    protected $environment;
    protected $socketClient;

    public function __construct(Environment $environment, SocketClient $socketClient) {
        $this->environment = $environment;
        $this->socketClient = $socketClient;
    }

    public function getLogList() {
        $organizationId = Utilities::getOrganizationIdForMongo();
        $response = $this->socketClient->getLogList(
            $organizationId
        );
        return $this->getDataset($response,true);
    }

    public function getLogContent($logFileName) {
        $organizationId = Utilities::getOrganizationIdForMongo();
        $response = $this->socketClient->getLogContent(
            $organizationId,
            $logFileName
        );
        return $this->getDataset($response);
    }


    protected function getDataset(array $response,$inArray = false)
    {
        $response = $response[0];
        if (!empty($response['data']['response'])) {
            $dataSet = $response['data']['response'];
        } else if(!empty($response['event']) && !empty($response['error'])){
            $dataSet = $response['event'].' - '.$response['error'];
            if($inArray){
                $dataSet = array(array('name' => $dataSet));
            }
        } else{
            $dataSet = json_encode($response);
            if($inArray){
                $dataSet = array(array('name' => $dataSet));
            }
        }

        return $dataSet;
    }


}