<?php


namespace Service\PeriodMathExpression\Strategy;


class Quarter extends StrategyAbstract implements UnitInterface
{

    public function add($date, $quantity): \DateTime
    {
        return $this->set($date, $quantity+1);
    }

    public function sub($date, $quantity): \DateTime
    {
        $date = $date->modify('- '.(3*$quantity).' month');
        return $this->set($date, 1);
    }

    public function set($date, $value): \DateTime
    {
        $month = intval($this->getMonth($date));
        $value = $this->getFirstMonthOfQuarter($month, intval($value));

        return $date->setDate($this->getYear($date),$value,$this->getDay($date));
    }

    protected function getFirstMonthOfQuarter($month, $quantity){
        return (((floor(($month-1)/3))*3)+1)+(3*($quantity-1));
    }

    public function modify($date, $operator, $quantity): \DateTime
    {
        return parent::modify($date, $operator, $quantity);
    }
}
