CREATE TABLE FORNEPRIOTCO
(
   NRFORNEPRIOTCO 	NUMBER 			NOT NULL,   
   CDREGIAO 		VARCHAR2(5) 		NOT NULL,
   CDPRODUTO 		VARCHAR2(10) 		NOT NULL,
   CDFORNECED    		VARCHAR2(21)   		NOT NULL,
   NRORG                       	NUMBER DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
   IDATIVO                    	VARCHAR2(1)     		DEFAULT 'S' NOT NULL
      CONSTRAINT CKC_IDATIVO_FORNEPRIOTCO CHECK (IDATIVO IN ('S','N')),
   DTINCLUSAO             	DATE                   		NULL,
   DTULTATU                  	DATE                  		NULL,
   NRORGINCLUSAO      	NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
   CDOPERINCLUSAO    	VARCHAR2(12)  		DEFAULT '1' NULL,
   NRORGULTATU          	NUMBER 			DEFAULT  SYS_CONTEXT('nrorg_ctx','nrorg') NULL,
   CDOPERULTATU        	VARCHAR2(12)  		DEFAULT '1',
   	CONSTRAINT PK_FORNEPRIOTCO PRIMARY KEY (NRFORNEPRIOTCO),
   	CONSTRAINT UN_FORNEPRIOTCO UNIQUE (CDREGIAO, CDPRODUTO, CDFORNECED)
)
/

ALTER TABLE FORNEPRIOTCO ADD
	CONSTRAINT FKPLA01176REGIAO FOREIGN KEY (CDREGIAO)
		REFERENCES REGIAO (CDREGIAO)
/

CREATE INDEX PLA01176_FK ON FORNEPRIOTCO (CDREGIAO)
/

ALTER TABLE FORNEPRIOTCO ADD
	CONSTRAINT FKPLA01177PRODUTO FOREIGN KEY (CDPRODUTO)
		REFERENCES PRODUTO (CDPRODUTO)
/

CREATE INDEX PLA01177_FK ON FORNEPRIOTCO (CDPRODUTO)
/

ALTER TABLE FORNEPRIOTCO ADD
	CONSTRAINT FKPLA01178FORNECEDOR FOREIGN KEY (CDFORNECED)
		REFERENCES FORNECEDOR (CDFORNECED)
/

CREATE INDEX PLA01178_FK ON FORNEPRIOTCO (CDFORNECED)