import {ChartViewInterface} from "@/Services/ChartView/ChartViewInterface";
import {ChartViewAbstract} from "@/Services/ChartView/ChartViewAbstract";
import {ZmartChartsApex} from "@/Services/Chats/ZmartChartsApex";

export class Column extends ChartViewAbstract implements ChartViewInterface {
    public getWidget(dashboard: any, widget: any) {
        const height = widget[0].style;
        if (dashboard.label !== '' || dashboard.label !== null) {
            widget[0].options.title.text = dashboard.label;
        }
        widget[0].style = "background: " + dashboard.color + "; " + height;
        return widget;
    }
    public getCharts(charts: any) {
        return charts;
    }

    public setDrill(charts: any, zmartCharts: ZmartChartsApex) {
        this.zmartCharts = zmartCharts;
        this.getZmartCharts().setFormatterFunctions(charts);

        charts[0].options.chart.events = {
            // "click": this.drillApexChart.bind(this),
            "mounted": this.getZmartCharts().mounted.bind(this.getZmartCharts())
        };
        charts[0].options.chart.events.click = this.getZmartCharts().drillApexChart.bind(this.getZmartCharts(), charts[0].widget);

        return charts;
    }

    public getEditData(viewData: any) {
        if (Array.isArray(viewData.serieColors)) {
            viewData.originSerieColors = viewData.serieColors;
            viewData.serieColors = viewData.serieColors[0];
        }
        return viewData;
    }

    public getSaveViewParams(formExtra: any, values: any, cleanValues: any) {
        if (values.chartXAxisBandDimensionGap) {
            cleanValues.chartXAxisBandDimensionGap = parseFloat(cleanValues.chartXAxisBandDimensionGap);
        }
        if (values.chartXAxisBandDimensionMinWidth) {
            cleanValues.chartXAxisBandDimensionMinWidth = parseFloat(cleanValues.chartXAxisBandDimensionMinWidth);
        } else {
            cleanValues.chartXAxisBandDimensionMinWidth = 1;
        }
        if (values.chartXAxisTicksMaxWidth) {
            cleanValues.chartXAxisTicksMaxWidth = parseFloat(cleanValues.chartXAxisTicksMaxWidth);
        } else {
            delete cleanValues.chartXAxisTicksMaxWidth;
        }
        if (values.chartXAxisTicksRotation) {
            cleanValues.chartXAxisTicksRotation = parseFloat(cleanValues.chartXAxisTicksRotation);
        }
        if (values.chartLegendMargin) {
            cleanValues.chartLegendMargin = parseFloat(cleanValues.chartLegendMargin);
        } else {
            cleanValues.chartLegendMargin = null;
        }
        if (!cleanValues.chartSeries[0].serieValueFormat) {
            delete cleanValues.chartSeries[0].serieValueFormat;
        }
        cleanValues.chartSeries[0].serieType = 'bar';
        cleanValues.serieType = 'bar';
        if (this.viewData.originSerieColors) {
            cleanValues.serieColors = this.viewData.originSerieColors;
            cleanValues.serieColor = this.viewData.originSerieColors;
            cleanValues.chartSeries[0].serieColors = this.viewData.originSerieColors;
        } else {
            cleanValues.serieColors = cleanValues.chartSeries[0].serieColors;
            cleanValues.serieColor = cleanValues.chartSeries[0].serieColors;
        }
        return cleanValues;
    }
}
